
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%     Vortex Island Estimation of Distribution Algorithm          %
%       Dr. Yoan Martnez-Lpez, Camaguey University, Cuba        %
%       Eng. Miguel Bethencourt, Camaguey University, Cuba        %
%       Dt. Julio Madera, Camaguey University, Cuba               % 
%       Dr. Ansel Rodriguez, CICESE, Mexico                       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Ref:
% Do?an, B., & lmez, T. (2015). A new metaheuristic for numerical function optimization: Vortex Search algorithm. Information Sciences, 293, 125-145.
% Madera, J., Alba, E., & Ochoa, A. (2006). A parallel island model for estimation of distribution algorithms. In Towards a new evolutionary computation (pp. 159-186). Springer, Berlin, Heidelberg.
% Martnez-Lpez, Y., Madera, J., Rodrguez-Gonzlez, A. Y., & Barigye, S. (2019). Cellular estimation Gaussian algorithm for continuous domain. Journal of Intelligent & Fuzzy Systems, 36(5), 4957-4967.
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Quintana, J. M., Moya, A., Morgado, B., & Mayedo, M. B. (2019, July). CUMDANCauchy-C1: a cellular EDA designed to solve the energy resource management problem under uncertainty. In Proceedings of the Genetic and Evolutionary Computation Conference Companion (pp. 13-14).
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Quintana, J. M., Mayedo, M. B., Moya, A., & Santiago, O. M. (2020, July). Applying some EDAs and hybrid variants to the ERM problem under uncertainty. In Proceedings of the 2020 Genetic and Evolutionary Computation Conference Companion (pp. 1-2).
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Madera, J., Mayedo, M. B., & Lezama, F. (2021). Cellular estimation of distribution algorithm designed to solve the energy resource management problem under uncertainty. Engineering Applications of Artificial Intelligence, 101, 104231.
% Rodrguez-Gonzlez, A. Y., Lezama, F., Martnez-Lpez, Y., Madera, J., Soares, J., & Vale, Z. (2022). WCCI/GECCO 2020 Competition on Evolutionary Computation in the Energy Domain: An overview from the winner perspective. Applied Soft Computing, 109162.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% email: cybervalient@gmail.com, betamiguel00@gmail.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

VIEDAParameters.I_NP      =  100; 
VIEDAParameters.I_itermax =  floor(5000/VIEDAParameters.I_NP); 

VIEDAParameters.Sub_Pop                      = 4;  % 1(18504) 6(18491) 2( 18492) 3(18494) 5(18493 )

VIEDAParameters.Sub_Pop_Size                 = floor(VIEDAParameters.I_NP/VIEDAParameters.Sub_Pop); 

VIEDAParameters.Elitist_Selection            = 30; %15(18492) 20(18491) 25(18490) 30(18487) 35(18489) 40(18496)
VIEDAParameters.radius                       = 4;