
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    Vortex Island Estimation of Distribution Algorithm++                %
%       Dr. Yoan Martnez-Lpez, Camaguey University, Cuba              %
%       Eng. Miguel Bethencourt, Camaguey University, Cuba              %
%       Dt. Julio Madera, Camaguey University, Cuba                     %
%       Dr. Ansel Rodriguez, CICESE, Mexico                             %
%       Dr. Wenlei Bai, the Oracle Energy and Water, Oracle America Inc.,% 
%           Austin, TX,USA                                               % 
%       Haoxiang Qin,  the School of Software Engineering,                % 
%          South China University of Technology, Guangzhou 510006, China  % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Ref:
% Do?an, B., & lmez, T. (2015). A new metaheuristic for numerical function optimization: Vortex Search algorithm. Information Sciences, 293, 125-145.
% Madera, J., Alba, E., & Ochoa, A. (2006). A parallel island model for estimation of distribution algorithms. In Towards a new evolutionary computation (pp. 159-186). Springer, Berlin, Heidelberg.
% Martnez-Lpez, Y., Madera, J., Rodrguez-Gonzlez, A. Y., & Barigye, S. (2019). Cellular estimation Gaussian algorithm for continuous domain. Journal of Intelligent & Fuzzy Systems, 36(5), 4957-4967.
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Quintana, J. M., Moya, A., Morgado, B., & Mayedo, M. B. (2019, July). CUMDANCauchy-C1: a cellular EDA designed to solve the energy resource management problem under uncertainty. In Proceedings of the Genetic and Evolutionary Computation Conference Companion (pp. 13-14).
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Quintana, J. M., Mayedo, M. B., Moya, A., & Santiago, O. M. (2020, July). Applying some EDAs and hybrid variants to the ERM problem under uncertainty. In Proceedings of the 2020 Genetic and Evolutionary Computation Conference Companion (pp. 1-2).
% Martnez-Lpez, Y., Rodrguez-Gonzlez, A. Y., Madera, J., Mayedo, M. B., & Lezama, F. (2021). Cellular estimation of distribution algorithm designed to solve the energy resource management problem under uncertainty. Engineering Applications of Artificial Intelligence, 101, 104231.
% Rodrguez-Gonzlez, A. Y., Lezama, F., Martnez-Lpez, Y., Madera, J., Soares, J., & Vale, Z. (2022). WCCI/GECCO 2020 Competition on Evolutionary Computation in the Energy Domain: An overview from the winner perspective. Applied Soft Computing, 109162.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% email: cybervalient@gmail.com, betamiguel00@gmail.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

VIEDAParameters.I_NP      =  180; %300(9/9 - 5.3331e+06) %400(9/9 - 5.3331e+06) %250(5.1835e+06) 200 (9/9 - 4.9766e+06) 150(5.1147e+06 ) 180(4.9474e+06) 185(5.0948e+06) 190( 4.8613e+06 ) 195( 4.9537e+06)
VIEDAParameters.I_itermax =  floor(20000/VIEDAParameters.I_NP); 

VIEDAParameters.Sub_Pop                      = 9;  %5(5.7562e+06) % 4(5.8858e+06) 3(6.2569e+06) 6(5.7429e+06) 7(6.1373e+06) 9(5.8329e+06) 20(6.0553e+06) 5(7.1127e+06) 10(5.7497e+06) 5(6.2304e+06)

VIEDAParameters.Sub_Pop_Size                 = floor(VIEDAParameters.I_NP/VIEDAParameters.Sub_Pop); 

VIEDAParameters.Elitist_Selection            = 30; 
VIEDAParameters.radius                       = 9 ;%4(5.8807e+06 );3(5.5841e+06) 2(5.2265e+06) 1(5.6105e+06) 6/6( 5.7048e+06) 15/15( 5.8434e+06 ) 10/10(5.5748e+06) 7/7(5.6467e+06) 8/8 (5.6503e+06) 20/20 (5.8323e+06) 9/9 (5.4729e+06 )